*** Settings ***
Documentation     main test

Resource          ../lib/resource.robot

*** Variables ***

${two_param_f2f}  1

*** Test Cases ***
F2F-1
    Set Screenshot Directory    results/pics/
    Open Browser for Device
    Result Should Contain Text

    Go to Imaging
    Create tasks
    Go to Task    ${ttask}
    Select Mode    FileToFile
    Select Source    SAS_S2
    ${tup1}    Set Variable    partn-4_ntfs    Intel
    Select Filter Settings Falcon    ${tup1}
    Select Output Format    L01
    Select Output Segment Size    2GB
    Select Output Compression    On
    Select File Destination    SAS_D1
    Start Task
    Delete Task
    Go to Exit


F2F-2
    [Tags]    longtime
    Set Screenshot Directory    /home/qa/results/pics/
    Open Browser for Device
    Result Should Contain Text

    Go to Imaging
    Create tasks
    Go to Task    ${ttask}
    Select Mode    FileToFile
    Select Source    TBT_S2
    ${tup1}    Set Variable    partn-4_ntfs    Documents and Settings
    Select Filter Settings    ${tup1}
    Select File Destination    SAS_D1
    Start Task
    Delete Task
    Go to Exit


F2F-3
#    [Tags]    longtime
    Set Screenshot Directory    /home/qa/results/pics/
    Open Browser for Device
    Result Should Contain Text

    Go to Imaging
    Create tasks
    Go to Task    ${ttask}
    Select Mode    FileToFile
    Select Source    USB_S1.2
    ${tup1}    Set Variable    partn-1_ntfs    System Volume Information
    Select Filter Settings    ${tup1}
    Select Output Format    L01
    Select Output Segment Size    4GB
    Select Output Compression    On
    Select File Destination    SAS_D1
    Start Task
    Delete Task
    Go to Exit


F2F-4
    Set Screenshot Directory    /home/qa/results/pics/
    Open Browser for Device
    Result Should Contain Text

    Go to Imaging
    Create tasks
    Go to Task    ${ttask}
    Select Mode    FileToFile
    Select Source    SAS_S1
    ${tup1}    Set Variable    partn-2_apfsvol0-mac-hd    root    bin
    Select Filter Settings    ${tup1}
    Select Output Format    Lx01
    Select Output Segment Size    8GB
    Select Output Compression    Off
    Select File Destination    SAS_D1
    Start Task
    Delete Task
    Go to Exit


F2F-5
    Set Screenshot Directory    /home/qa/results/pics/
    Open Browser for Device
    Result Should Contain Text

    Go to Imaging
    Create tasks
    Go to Task    ${ttask}
    Select Mode    FileToFile
    Select Source    PCIe_S1
    ${tup1}    Set Variable    partn-2_ntfs    w10_nohdd    Snapshots
    Select Filter Settings    ${tup1}
    Select Output Format    L01
    Select Output Segment Size    2GB
    Select Output Compression    Off
    Select File Destination    SAS_D1
    Start Task
    Delete Task
    Go to Exit


F2F-6
    Set Screenshot Directory    /home/qa/results/pics/
    Open Browser for Device
    Result Should Contain Text

    Go to Imaging
    Create tasks
    Go to Task    ${ttask}
    Select Mode    FileToFile
    Select Source    PCIe_S1
    ${tup1}    Set Variable    partn-4_ntfs    source32bit_new    sources
    Select Filter Settings    ${tup1}
    Select Output Format    L01
    Select Output Segment Size    16GB
    Select Output Compression    On
    Select File Destination    SAS_D1
    Start Task
    Delete Task
    Go to Exit


F2F-7
    Set Screenshot Directory    /home/qa/results/pics/
    Open Browser for Device
    Result Should Contain Text

    Go to Imaging
    Create tasks
    Go to Task    ${ttask}
    Select Mode    FileToFile
    Select Source    TBT_S2
    ${tup1}    Set Variable    partn-4_ntfs    Windows
    Select Filter Settings    ${tup1}
    Select File Destination    SAS_D1
    Start Task
    Delete Task
    Go to Exit
