#!/usr/bin/python

import pytuya
import socket
import sys
import time

# KMC app account details
# User: mbair.logicube@icloud.com
# Passwd: Logicube@1234

# SW1 id='00200570a020a6237abf' key='4b5227e82d5b9579' 
# SW3 id='00200570a020a62a5806' key='10912297ec8da454'
# SW2 id='00200570a020a62a47dd'

def show(sw):
    while True:
        try:
            data = sw.status()
            print('Dictionary %r' % data)
            if data['dps']['1']:
                print('Switch is ON')
            else:
                print('Switch is OFF')
            break
        except socket.error as e:
            print(e)
            time.sleep(5)


def toggle(sw):
    while True:
        try:
            data = sw.status()
            print('Dictionary %r' % data)
            if data['dps']['1']:
                print('Switch is ON')
            else:
                print('Switch is OFF')
            
            # Toggle switch state
            switch_state = data['dps']['1']
            data = sw.set_status(not switch_state)
            if data:
                print('set_status() result %r' % data)
            break
        except socket.error as e:
            print(e)
            time.sleep(5)

def change_state(sw, state):
    while True:
        try:
            data = sw.set_status(state)
            if data:
                print('set_status() result %r' % data)
            break
        except socket.error as e:
            print(e)
            time.sleep(5)

if __name__ == "__main__":
    ip=None
    uid=None
    key=None
    op="show"
    for arg in sys.argv:
        opt = arg.split('=')
        if opt[0] == 'ip':
            ip = opt[1]
        elif opt[0] == 'id':
            uid = opt[1]
        elif opt[0] == 'key':
            key = opt[1]
        elif opt[0] == 'on':
            op="on"
        elif opt[0] == 'off':
            op="off"
        elif opt[0] == 'tog':
            op="toggle"

    if ip is None or uid is None or key is None:
        print "Usage: kmc.py ip='ip address' id='device uuid' key='local key'"
        sys.exit(1)

    sw = pytuya.OutletDevice(uid, ip, key)
    if op == 'on':
        change_state(sw, True)
    elif op == 'off':
        change_state(sw, False)
    elif op == 'toggle':
        toggle(sw)
    else:
        show(sw)




